﻿@model webUI.SICO.Models.VoucherViewModel

@{
    ViewBag.Title = "Details";
}


<style type="text/css">
    .true {
        color: green;
    }

    .false {
        color: red;
    }
</style>


<div class="row">
    <div class="col-md-12">
        <section class="block">
            <div class="block-header">
                <h3 class="block-title">
                    Comprobante No. @String.Format("{0:#######0}", Html.DisplayFor(model => model.VoucherId))
                    <span class="@(Model.IsActive?"true":"false")">
                        @if (Model.IsActive)
                        {<text>(Activo)</text>;
                    }
                    else
                    { <text>(Anulado)</text>}
                    </span>
                </h3>
                <div class="block-options">
                    <a href="../../../Home/Index" class="btn btn-sm btn-secondary"><span class="fa fa-arrow-left"></span> Atr&aacute;s...</a>
                    <a href="../../../Voucher/Edit/@Model.VoucherId/" class="btn btn-sm btn-success"><span class="fa fa-edit"></span> Editar</a>

                    <button type="button" class="btn-block-option" data-toggle="block-option" data-action="content_toggle"></button>
                </div>
            </div>
            <div class="block-content">
                <div class="container">
                    <div class="row">
                        <div class="col-md-3">

                            <dt>
                                Fecha del Comprobante
                            </dt>

                            <dd>
                                @Html.DisplayFor(model => model.VoucherDatestr)
                            </dd>
                        </div>
                        <div class="col-md-3">
                            <dt>
                                Fecha de creaci&oacute;n
                            </dt>

                            <dd>
                                @Html.DisplayFor(model => model.CreationDate)
                            </dd>
                        </div>

                        <div class="col-md-3 @(Model.IsEquivalent ? "true" : "false")">
                            <dt>
                                Debe
                            </dt>

                            <dd>
                                @Html.DisplayFor(model => model.Debit)
                            </dd>
                        </div>
                        <div class="col-md-3 @(Model.IsEquivalent ? "true" : "false")">
                            <dt>
                                Haber
                            </dt>

                            <dd>
                                @Html.DisplayFor(model => model.Credit)
                            </dd>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-3">
                            <dt>
                                Tipo de comprobante
                            </dt>

                            <dd>
                                @Html.DisplayFor(model => model.VoucherTypeId)
                            </dd>
                        </div>
                        <div class="col-lg-9">
                            <dt>
                                Concepto
                            </dt>

                            <dd>
                                @Html.DisplayFor(model => model.Concept)
                            </dd>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col-lg-12">
                            <dt>
                                Observaciones
                            </dt>

                            <dd>
                                @Html.DisplayFor(model => model.Comments)
                            </dd>
                        </div>
                    </div>

                </div>

            </div>
        </section>
    </div>
</div>




<div class="row" id="cdDetalle">
    <div class="col-md-12">
        <div class="block block-bordered" id="bl-detail">
            <div class="block-content">
                <div class="table-responsive">
                    <table id="detail" class="table table-bordered table-striped table-vcenter">
                        <thead class="cf">
                            <tr>
                                <th width="100">Cuenta</th>
                                <th width="50%">Concepto</th>
                                <th width="60" class="numeric">Debe</th>
                                <th width="60" class="numeric">Haber</th>
                            </tr>
                        </thead>
                        <tbody>
                            @foreach (var item in Model.Details)
                            {
                                <tr>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.AccountId)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.Concept)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.Debit)
                                    </td>
                                    <td>
                                        @Html.DisplayFor(modelItem => item.Credit)
                                    </td>
                                </tr>
                            }

                        </tbody>
                    </table>

                </div>
            </div>
        </div>
    </div>
</div>




